
# S R V X 1

[[_TOC_]]

## Getting Started

### SSH
- [x] Terminal, Putty, ...
- [x] Network access @UNIVIE

Use a terminal or [Putty](https://www.putty.org/) to connect with SSH to the server
```bash
ssh [user]@srvx1.img.univie.ac.at
```
Please replace `[user]` with the username given by the [sysadmin](mailto:michael.blaschek@univie.ac.at) and supply your password when asked for. This should give you access to the login node. If you are outside of the university network, then please goto [VPN](#VPN) below.

### VPN
- [x] `u:account`

The jet cluster is only accessible from within the virtual network of the university of Vienna. Therefore access from outside has to be granted via the [VPN-Service](https://vpn.univie.ac.at). Go there and login with your `u:account` and download the *Big-IP Edge* client for you system. 

![](https://zid.univie.ac.at/fileadmin/user_upload/d_zid/zid-open/daten/datennetz/vpn/Windows/01_download_neu.png) 

Links:
 * [ZID-VPN](https://vpn.univie.ac.at/f5-w-68747470733a2f2f7a69642e756e697669652e61632e6174$$/vpn/)
 * Linux (Ubuntu, Generic), Windows, Mac: [VPN user guides](https://vpn.univie.ac.at/f5-w-68747470733a2f2f7a69642e756e697669652e61632e6174$$/vpn/anleitungen/)
 * Arch based AUR package [AUR f5fpc](https://aur.archlinux.org/packages/f5fpc/)

Follow the install instructions for Windows, Mac and Linux and make sure the software works.

![](https://zid.univie.ac.at/fileadmin/user_upload/d_zid/zid-open/daten/datennetz/vpn/Windows/08_verbinden.png)

On Windows and MAc you get a nice gui that requires you to fill in the VPN server: `vpn.univie.ac.at` and username and password from the `u:account`. On Linux execute the following:
```
f5fpc -s -t vpn.univie.ac.at -u [user]
```
The status can be checked with `f5fpc --info`.

### Jupyterhub
<img src="https://jupyter.org/assets/hublogo.svg" width="300px">

SRVX1 serves a teaching [jupyterhub](https://jupyterhub.readthedocs.io/en/stable/) with a [jupyterlab](https://jupyterlab.readthedocs.io/en/stable/). It allows easy access for students and teachers.

Goto: [](https://srvx1.img.univie.ac.at)
Signup is only granted by teachers and requires a srvx1 user account. A new password is needed and a TOTP (time base one-time password) will be created. 

Download/Use any of these required Authenticator Apps:
 - [Authy (Mobile, Desktop)](https://authy.com/download/)
 - [FreeOTP (Mobile)](https://freeotp.github.io/)
 - [Google Auth (Mobile)](https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2)

After registering the teacher/admin has to grant you access and you can login.

:construction:

## System Information
| Name | Value |
| --- | --- |
| Product | PowerEdge R720xd |
| Distro | CentOS 6.10 Final |
| Kernel | 2.6.32-754.29.2.el6.centos.plus.x86_64 GNU/Linux |
| Processor | Intel(R) Xeon(R) CPU E5-2690 0 @ 2.90GHz |
| Cores | 2 CPU,  8 physical cores per CPU, total 32 logical CPU units |
| BaseBoard | Dell Inc. 0C4Y3R Intel Corporation C600/X79 series chipset |
| CPU time | 140 kh |
| Memory | 190 GB Total |
| Memory/Core | 11.9 GB |
| Network | 10 Gbit/s |

## Software

## Best Practice

## Networking
